%define		pname ripmime
%define		pversion 1.4.0.10
%define 	bversion 112
%define		rpmrelease iworx

%define 	debug_package %{nil}

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif


%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

%define		ccflags %{optflags}
%define		ldflags %{optflags}

############### RPM ################################

Summary:	ripmime
Name:		%{pname}
Version:	%{pversion}
Release: 	%{release}
License:	GPL

Group:		System Environment/Daemons
Source0:	%{name}-%{version}.tar.gz
URL:		http://www.pldaniels.com/ripmime/

Patch0:         ripmime-1.4.0.9-permissions.patch

Distribution:	InterWorx-HAL
Vendor:         NEXCESS.NET L.L.C
Packager:	Chris Wells <clwells@nexcess.net>

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
ripmime

%prep

[ -n %{buildroot} ] && rm -rf %{buildroot}

[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%setup -q -n %{name}-%{version}

%patch0 -p1

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

# We have gcc written in a temp file
export CC="gcc"
export CFLAGS="%{ccflags}"
export LDFLAGS="%{ldflags}"

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -s -m0755 ripmime   %{buildroot}%{_bindir}
install    -m0444 ripmime.1 %{buildroot}%{_mandir}/man1

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/ripmime
%{_mandir}/man1/ripmime.1.gz

%changelog
* Mon Jan 24 2022 Joseph Purkis <jpurkis@interworx.com>
- Added Almalinux build
- Cleaned up on gcc version detection
* Thu Jul 07 2016 Paul Oehler <poehler@interworx.com>
- Update spec for el6 and el7
- Update ripmime
- Add group perms patch
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added Fedora 8 support
* Mon Jan 17 2005 Chris Wells <clwells@nexcess.net>
- initial release
